Show / Hide Table of Contents

# Struct ImGuiPlatformMonitorPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiPlatformMonitorPtr

### Constructors

| Improve this Doc View Source

#### ImGuiPlatformMonitorPtr(ImGuiPlatformMonitor*)

##### Declaration

    public ImGuiPlatformMonitorPtr(ImGuiPlatformMonitor*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPlatformMonitor* | nativePtr |

| Improve this Doc View Source

#### ImGuiPlatformMonitorPtr(IntPtr)

##### Declaration

    public ImGuiPlatformMonitorPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### DpiScale

##### Declaration

    public readonly ref float DpiScale { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MainPos

##### Declaration

    public readonly ref Vector2 MainPos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MainSize

##### Declaration

    public readonly ref Vector2 MainSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiPlatformMonitor*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiPlatformMonitor* |

| Improve this Doc View Source

#### WorkPos

##### Declaration

    public readonly ref Vector2 WorkPos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WorkSize

##### Declaration

    public readonly ref Vector2 WorkSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiPlatformMonitor* to ImGuiPlatformMonitorPtr)

##### Declaration

    public static implicit operator ImGuiPlatformMonitorPtr(ImGuiPlatformMonitor*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPlatformMonitor* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiPlatformMonitorPtr |

| Improve this Doc View Source

#### Implicit(ImGuiPlatformMonitorPtr to ImGuiPlatformMonitor*)

##### Declaration

    public static implicit operator ImGuiPlatformMonitor*(ImGuiPlatformMonitorPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPlatformMonitorPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiPlatformMonitor* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiPlatformMonitorPtr)

##### Declaration

    public static implicit operator ImGuiPlatformMonitorPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiPlatformMonitorPtr |